# Class TSparkDirectResults

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TSparkDirectResults

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSparkDirectResults>`, `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TSparkDirectResults extends Object implements org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>, Serializable, Cloneable, Comparable<TSparkDirectResults>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TSparkDirectResults._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`TCloseOperationResp`
`closeOperation`
`static final Map<TSparkDirectResults._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TGetOperationStatusResp`
`operationStatus`
`TFetchResultsResp`
`resultSet`
`TGetResultSetMetadataResp`
`resultSetMetadata`

## Constructor Summary

Constructors
Constructor
Description
`TSparkDirectResults()`
`TSparkDirectResults(TSparkDirectResults other)`
Performs a deep copy on other.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TSparkDirectResults other)`
`TSparkDirectResults`
`deepCopy()`
`boolean`
`equals(TSparkDirectResults that)`
`boolean`
`equals(Object that)`
`TSparkDirectResults._Fields`
`fieldForId(int fieldId)`
`TCloseOperationResp`
`getCloseOperation()`
`Object`
`getFieldValue(TSparkDirectResults._Fields field)`
`TGetOperationStatusResp`
`getOperationStatus()`
`TFetchResultsResp`
`getResultSet()`
`TGetResultSetMetadataResp`
`getResultSetMetadata()`
`int`
`hashCode()`
`boolean`
`isSet(TSparkDirectResults._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetCloseOperation()`
Returns true if field closeOperation is set (has been assigned a value) and false otherwise
`boolean`
`isSetOperationStatus()`
Returns true if field operationStatus is set (has been assigned a value) and false otherwise
`boolean`
`isSetResultSet()`
Returns true if field resultSet is set (has been assigned a value) and false otherwise
`boolean`
`isSetResultSetMetadata()`
Returns true if field resultSetMetadata is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TSparkDirectResults`
`setCloseOperation(TCloseOperationResp closeOperation)`
`void`
`setCloseOperationIsSet(boolean value)`
`void`
`setFieldValue(TSparkDirectResults._Fields field, Object value)`
`TSparkDirectResults`
`setOperationStatus(TGetOperationStatusResp operationStatus)`
`void`
`setOperationStatusIsSet(boolean value)`
`TSparkDirectResults`
`setResultSet(TFetchResultsResp resultSet)`
`void`
`setResultSetIsSet(boolean value)`
`TSparkDirectResults`
`setResultSetMetadata(TGetResultSetMetadataResp resultSetMetadata)`
`void`
`setResultSetMetadataIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetCloseOperation()`
`void`
`unsetOperationStatus()`
`void`
`unsetResultSet()`
`void`
`unsetResultSetMetadata()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### operationStatus

public TGetOperationStatusResp operationStatus

### resultSetMetadata

public TGetResultSetMetadataResp resultSetMetadata

### resultSet

public TFetchResultsResp resultSet

### closeOperation

public TCloseOperationResp closeOperation

### metaDataMap

public static final Map<TSparkDirectResults._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TSparkDirectResults

public TSparkDirectResults()

### TSparkDirectResults

public TSparkDirectResults(TSparkDirectResults other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TSparkDirectResults deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`

### getOperationStatus

public TGetOperationStatusResp getOperationStatus()

### setOperationStatus

public TSparkDirectResults setOperationStatus(TGetOperationStatusResp operationStatus)

### unsetOperationStatus

public void unsetOperationStatus()

### isSetOperationStatus

public boolean isSetOperationStatus()
Returns true if field operationStatus is set (has been assigned a value) and false otherwise

### setOperationStatusIsSet

public void setOperationStatusIsSet(boolean value)

### getResultSetMetadata

public TGetResultSetMetadataResp getResultSetMetadata()

### setResultSetMetadata

public TSparkDirectResults setResultSetMetadata(TGetResultSetMetadataResp resultSetMetadata)

### unsetResultSetMetadata

public void unsetResultSetMetadata()

### isSetResultSetMetadata

public boolean isSetResultSetMetadata()
Returns true if field resultSetMetadata is set (has been assigned a value) and false otherwise

### setResultSetMetadataIsSet

public void setResultSetMetadataIsSet(boolean value)

### getResultSet

public TFetchResultsResp getResultSet()

### setResultSet

public TSparkDirectResults setResultSet(TFetchResultsResp resultSet)

### unsetResultSet

public void unsetResultSet()

### isSetResultSet

public boolean isSetResultSet()
Returns true if field resultSet is set (has been assigned a value) and false otherwise

### setResultSetIsSet

public void setResultSetIsSet(boolean value)

### getCloseOperation

public TCloseOperationResp getCloseOperation()

### setCloseOperation

public TSparkDirectResults setCloseOperation(TCloseOperationResp closeOperation)

### unsetCloseOperation

public void unsetCloseOperation()

### isSetCloseOperation

public boolean isSetCloseOperation()
Returns true if field closeOperation is set (has been assigned a value) and false otherwise

### setCloseOperationIsSet

public void setCloseOperationIsSet(boolean value)

### setFieldValue

public void setFieldValue(TSparkDirectResults._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`

### getFieldValue

public Object getFieldValue(TSparkDirectResults._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`

### isSet

public boolean isSet(TSparkDirectResults._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TSparkDirectResults that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TSparkDirectResults other)

Specified by:
  `compareTo` in interface `Comparable<TSparkDirectResults>`

### fieldForId

public TSparkDirectResults._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSparkDirectResults,TSparkDirectResults._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`